###############################################################################
#                                                                             #
# Copyright (C) 2013-2014 Edward d'Auvergne                                   #
#                                                                             #
# This file is part of the program relax (http://www.nmr-relax.com).          #
#                                                                             #
# This program is free software: you can redistribute it and/or modify        #
# it under the terms of the GNU General Public License as published by        #
# the Free Software Foundation, either version 3 of the License, or           #
# (at your option) any later version.                                         #
#                                                                             #
# This program is distributed in the hope that it will be useful,             #
# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               #
# GNU General Public License for more details.                                #
#                                                                             #
# You should have received a copy of the GNU General Public License           #
# along with this program.  If not, see <http://www.gnu.org/licenses/>.       #
#                                                                             #
###############################################################################

# Package docstring.
"""The relax-lib package - a collection of functions, objects, and methods for the study of dynamics."""

__all__ = [
    'alignment',
    'ansi',
    'arg_check',
    'auto_relaxation',
    'check_types',
    'chemical_shift',
    'compat',
    'curve_fit',
    'diffusion',
    'dispersion',
    'errors',
    'float',
    'frame_order',
    'geometry',
    'io',
    'linear_algebra',
    'list',
    'mathematics',
    'model_selection',
    'nmr',
    'optimisation',
    'order',
    'periodic_table',
    'physical_constants',
    'regex',
    'selection',
    'sequence',
    'software',
    'spectral_densities',
    'spectrum',
    'statistics',
    'structure',
    'text',
    'warnings',
    'xml'
]
